rio_alloc_net
Prev | Enumeration and Discovery | Next

## Name

rio_alloc_net — Allocate and configure a new RIO network

## Synopsis

`struct rio_net * rio_alloc_net (` | struct rio_mport * | port`)`;

## Arguments

`port`

  Master port associated with the RIO network

## Description

Allocates a RIO network structure, initializes per-network list heads, and adds the associated master port to the network list of associated master ports. Returns a RIO network pointer on success or `NULL` on failure.

Prev | Up | Next
rio_mport_is_active | Home | rio_update_route_tables